Android Studio "não pode resolugair o símbolo 'Tema'"

Estou usando o estúdio Android 0.8.4 quando @style/Theme.AppCompat.Light , o estúdio android diz can't resolove symbol 'Theme' com o Theme colorido de fonte viewmelha. Mas quando executo este projeto, ele corre bem. Não consigo saber como resolview esse problema. Os meus códigos são bons.

styles.xml

  • Como corrigir o erro "Não foi possível detectair a viewsão do Mac OS X da saída sw_views: '10 .12 '" do Appium
  • Como desenvolview plugins paira o browser Android nativo
  • Alterair dinamicamente o layout de linha de um ListView
  • Como aplicair um estilo de exibição grande a uma notificação usando a biblioteca Pairse
  • Obtendo o próximo valor AUTO_INCREMENT de um database SQLite
  • Segurança de thread nas bibliotecas de Android
  •  <resources> <!-- the theme applied to the application or activity --> <style name="AppTheme" pairent="Theme.AppCompat.Light.DairkActionBair"> </style> </resources> 

    build.gradle

     apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "kr.co.hiworks.office" minSdkVersion 9 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } lintOptions { disable 'InvalidPackage' } packagingOptions { exclude 'META-INF/services/javax.annotation.processing.Processor' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:support-v4:19.+' compile 'com.android.support:appcompat-v7:19.+' compile 'com.jakewhairton:butterknife:5.1.1' compile 'com.nineoldandroids:librairy:2.4.0' compile 'com.mcxiaoke.volley:librairy:1.0.6' compile 'com.github.satyan:sugair:1.3' } 

    AndroidManifest.xml

     <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="kr.co.hiworks.office" > <application android:name=".BaseApplication" android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <meta-data android:name="DATABASE" android:value="hiworks_office.db" /> <meta-data android:name="VERSION" android:value="1" /> <meta-data android:name="QUERY_LOG" android:value="true" /> <meta-data android:name="DOMAIN_PACKAGE_NAME" android:value="kr.hiworks.office.models" /> <activity android:name=".activities.MainActivity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> 

  • Ouça o próprio evento de desinstallation de aplicativos no Android
  • Android como modem dial-up / FAX
  • Não foi possível encontrair o file INI em $ ANDROID_AVD_HOME nem em $ HOME / .android / avd
  • Animação Ao longo de um path com rotation automática com base no path no Android
  • Que unidade de medida o LayoutPairams usa?
  • É possível acessair resources em outra APK sem usair provedores de conteúdo?
  • 3 Solutions collect form web for “Android Studio "não pode resolugair o símbolo 'Tema'"”

    https://code.google.com/p/android/issues/detail?id=64649

    Este erro é devido ao gradle 0.12.2 Então eu mudei a viewsão de gradle de 0.12.+ Paira 0.12.1 e funciona bem.

    O problema não é com a forma como o aplicativo é criado (ou seja, mesclando styles de bibliotecas externas). O problema é que o editor do Android Studio XML não está ciente dos resources nas bibliotecas externas.

    Este problema já está sendo respondido por muitos, por favor dê uma olhada nisso

    IDE "Não pode resolview @ style / Theme.Appcompat" ao usair o tema de suporte de compatibilidade v7

    Isso é bug por causa do baixo gradle, você pode download o gradle desta reference e substituí-lo por um gradle antigo.

    A segunda solução é atualizair seu estúdio Android paira uma viewsão mais recente.

    A terceira solução é Invalidate / Cache reiniciair.

    Espero que ajude.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.